from sklearn.base import TransformerMixin, BaseEstimator
from pandas import DataFrame


class ImputeMissing(BaseEstimator, TransformerMixin):

    def __init__(self, missing_values = {}):
        self.missing_values = missing_values

    def fit(self, df, y = None):
        return self

    def transform(self, df, y = None):
        return df.fillna(self.missing_values)
