from sklearn.base import TransformerMixin, BaseEstimator
from sklearn.preprocessing import LabelBinarizer
from pandas import DataFrame, get_dummies, concat


class ColumnSubset(BaseEstimator, TransformerMixin):

    def __init__(self, columns):
        self.columns = columns

    def fit(self, df, y=None):
        return self

    def transform(self, df, y = None):
        return df[self.columns]
